<template>
	<div class="order-wrapper">
		<!-- <breadcrumb :item-name="['订单管理', '订单列表']"></breadcrumb> -->
		<div style="padding: 20px;background-color: #fff;">
			<!-- 搜索区域 -->
			<el-row>
				<el-col>
					<div class="flex" style="justify-content: flex-end;padding-bottom: 20px;">
						<!-- <el-button type="primary" @click="openBuy">购买Token</el-button> -->
						<el-button type="primary" icon="el-icon-refresh-right" @click="getList('reload')">刷新</el-button>
					</div>

				</el-col>


				<!-- <el-col :span="8">
					<el-input placeholder="请输入内容" v-model="queryInfo.query" class="input-with-select">
						<el-button slot="append" icon="el-icon-search" @click="getList()"></el-button>
					</el-input>
				</el-col> -->
			</el-row>
			<!-- 订单表格区域 -->
			<el-table :data="list" border style="width: 100%" max-height="620"  @selection-change="handleSelectionChange">
				    <el-table-column
				      type="selection"
				      width="55">
				    </el-table-column>
				<el-table-column prop="id" label="id" width="80">
				</el-table-column>
				<el-table-column prop="order_id" label="订单编号" width="200">
				</el-table-column>
				<el-table-column prop="sys_address" label="是否系统默认" width="170">
					<template slot-scope="scope">
						<span :style="{'color': (scope.row.sys_address == 1 || scope.row.sys_phone == 1 )? '': '#67c23a'}">{{(scope.row.sys_address == 1 || scope.row.sys_phone == 1 )? '是': '否'}}</span>
					</template>
				</el-table-column>
				<el-table-column prop="consignee_phone" label="收货手机号" width="200">
				</el-table-column>
				<el-table-column prop="consignee_address" label="收货地址" width="350">
				</el-table-column>
				<el-table-column prop="pay_price" label="支付金额(元)" width="150">
				</el-table-column>
				
				<!-- <el-table-column prop="token" label="Token" width="350">
				</el-table-column> -->
				<!-- <el-table-column prop="status" label="是否已使用">
					<template slot-scope="scope">
						<el-tag type="success" v-if="scope.row.status == 0">待使用</el-tag>
						<el-tag type="info" v-if="scope.row.status == 1">已使用</el-tag>
					</template>
				</el-table-column> -->
				<el-table-column prop="createtime" label="创建时间" width="300">
					<template slot-scope="scope">
						{{showTime(scope.row.createtime)}}
					</template>
				</el-table-column>
<!-- 				<el-table-column
				      fixed="right"
				      label="操作"
				      width="100">
				      <template slot-scope="scope">
				        <el-button @click="handleClick(scope.row)" type="text" size="small">查看</el-button>
				        <el-button type="text" size="small">编辑</el-button>
				      </template>
				    </el-table-column> -->
			</el-table>
			<!-- 分页区域 -->
			<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange"
				:current-page="queryInfo.page" :page-sizes="[10, 20, 50, 100]" :page-size="queryInfo.pagesize"
				layout="total, sizes, prev, pager, next, jumper" :total="total">
			</el-pagination>
		</div>
		<!-- 修改地址对话框 -->
		<el-dialog title="购买Token" :visible.sync="dialogTableVisible">
			<el-form :model="form">
				<el-form-item label="购买数量" :label-width="formLabelWidth">
					<el-input v-model="form.num" type="number"></el-input>
				</el-form-item>
				<el-form-item label="交易密码" :label-width="formLabelWidth">
					<el-input v-model="form.transaction" type="password"></el-input>
				</el-form-item>
			</el-form>
			<div slot="footer" class="dialog-footer">
				<el-button @click="dialogTableVisible = false">取 消</el-button>
				<el-button type="primary" @click="goBuy">确 定</el-button>
			</div>
		</el-dialog>
	</div>
</template>

<script>
	import {
		createCode,
		getCodeList,
		createToken,
		getTokenList,
		getOrderList
	} from '@/request/agent.js'
	import { showTime } from '@/assets/js/tools.js'
	export default {
		name: 'Order',
		data() {
			return {
				loading: false,
				formLabelWidth: '80px',
				form: {
					num: '',
					transaction: ''
				},
				dialogTableVisible: false,
				queryInfo: {
					keyword: '',
					page: 1,
					limit: 10
				},
				list: [],
				total: 0,
				dataloading: false,
			}
		},
		created() {
			this.getList()
		},
		methods: {
			showTime,
			handleSelectionChange(val) {
				console.log(val);
			},
			openBuy() {
				this.dialogTableVisible = true
			},
			goBuy() {
				let that = this
				if (that.loading) {
					return
				}
				if (!that.form.num) {
					return that.$msg.error('请输入购买数量')
				}
				if (!that.form.transaction) {
					return that.$msg.error('请输入交易密码')
				}
				that.loading = true
				createToken(that.form).then(res => {
					console.log(res);
					that.$msg.success('购买成功')
					that.dialogTableVisible = false
					that.loading = false
					that.getList('reload')
				}).catch(err => {
					that.loading = false
				})
			},
			getList(type) {
				let that = this
				if (that.dataloading) {
					return
				}
				if (type == 'reload') {
					that.queryInfo = {
						keyword: '',
						page: 1,
						limit: 10
					}
				}
				that.dataloading = true
				getOrderList(that.queryInfo).then(res => {
					that.total = res.data.count
					that.list = res.data.data
					that.dataloading = false
				}).catch(err => {
					that.dataloading = false
				})
			},
			handleSizeChange(newPageSize) {
				this.queryInfo.limit = newPageSize
				this.queryInfo.page = 1
				this.getList()
			},
			handleCurrentChange(newPageNum) {
				this.queryInfo.page = newPageNum
				this.getList()
			},
		},

	}
</script>

<style scoped>
</style>